function[Ke,Fe]=MatE1(Xe,nnode,pospg,pespg,N,Nxi)
%Ke=Matriz de rigidez/conductividad elemental
%fe=trmino independiente o fuente elemental
%Xe=[x_k,x_k+1],cordenadas de los nodos del elemento omegak .
%nnode=numro de nodos del elemento
%pospg,pespg coordendas y pesos de los puntos de Gauss
% en el elemento de referencia
%N=[varfi1,varfi2], funciones de forma (con coordenadas en el elemento de referencia)
%Nxi derivada de N
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Ke=zeros(nnode,nnode);
Fe=zeros(nnode,1);
%nmero de puntos de gaus
ngaus=size(pospg,1);
% Bucle en puntos de Gauss
for igaus=1:ngaus
    N_igaus=N(igaus,:);
    Ni=N_igaus;
    Nxi_igaus=Nxi(igaus,:);
    jacob=Nxi_igaus*Xe;
    dvolu=pespg(igaus)*jacob;
    Nx=Nxi_igaus/jacob;
    Ke=Ke-(Nx'*Nx)*dvolu+(Ni'*Ni)*dvolu;
    %f_igaus=fuente(pospg(igaus));
    f_igaus=fuente(isopar(N_igaus,Xe));
    Fe=Fe+N_igaus'*(f_igaus*dvolu);
end