function[Ke]=MatRigidezEl1D(Xe,nnode,pospg,pespg,Nxi)
%Ke=Matriz de rigidez/conductividad elemental.
%Xe=[x_k
%    x_k+1],cordenadas de los nodos del elemento omegak .
%nnode=numro de nodos del elemento
%pospg,pespg coordendas y pesos de los puntos de gaus
% en el elemento de referencia
%N=[N1,N2], funciones de forma (con coordenadas en el elemento de referencia)
%Nxi derivada de N
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Ke=zeros(nnode,nnode);
%nmero de puntos de gaus
ngaus=size(pospg,1);
% Bucle en puntos de Gauss
for igaus=1:ngaus
    Nxi_igaus=Nxi(igaus,:);
    jacob=Nxi_igaus*Xe;
    dvolu=pespg(igaus)*jacob;
    Nx=Nxi_igaus/jacob;
    Ke=Ke+(Nx'*Nx)*dvolu;
end