function DibujaSol(X,T,Temp)
% DibujaSol(X,T,Temp) dibuja un campo escalar nodal
% X:    coordenadas de los nodos
% T:    conectividades (elementos)
% Temp: vector con los valores nodales
%%%%%%    Giovanni Caldern Materia: MEF  A-2007

  nelem = size(T,1);

  clf
  for i=1:nelem
    Te = T(i,:);
    x = X(Te,1);
    y = X(Te,2);
    s = Temp(Te);
    patch(x,y,s)
  end 
  axis('equal');
  axis('off');

