function[NormL2]=NormaL2(X,T,Sol,alfa,x0)
% Calcula la norma L2 del error para el ejemplo 4.4
% Numero de puntos de Gauss. (para la cuadratura)
ngaus=2;
%Determinacion de la cuadratura 
[pospg,pespg]=Cuadratura1D(ngaus);
% pospg= vector columna conteniendo las coordenadas de los puntos Gauss
% pespg=vector fila conteniendo los pesos de los puntos de Gauss
% Determinacion de las funciones de forma
[N,Nxi]=Funcforma(pospg);
% Numero de elementos y numero de nodos en cada elemento
[nelem,nnode]=size(T);
% numero total de nodos en la malla
%npoin=size(X,1);
NormL2=0;
% Bucle en los elementos
for ielem=1:nelem
    Te=T(ielem,:);
    Xe=X(Te);
    Sole=Sol(Te);
     NormEl=0;
% Bucle en puntos de Gauss
for igaus=1:ngaus
    Ni=N(igaus,:);
    Nxi_igaus=Nxi(igaus,:);
    jacob=Nxi_igaus*Xe;
    dvolu=pespg(igaus)*jacob;
    x=Ni*Xe;
    U=(1-x).*(atan(alfa*(x-x0))+atan(alfa*x0));
    NormEl=NormEl+(U-Ni*Sole)^2*dvolu;   
end
NormL2=NormL2+NormEl; 
end
NormL2=sqrt(NormL2);
% bucle sobre los elementos