% Programa principal 
% Resolucin de la ecuacin de Poisson en 1D
% U_xx=f(x)
% Con condiciones de frontera Dirichlet

%%% CONSTRUCCIN DE LA MALLA
%_______________________________________________________
a=[]; b=[];
while isempty(a)==1
a=input('introduzca el valor del extremo izquierdo del intervalo. a=');
end
while isempty(b)==1
b=input('introduzca el valor del extremo derecho del intervalo. b=');
end
[X,T,Front]=Creamalla1D(a,b); % Crea la malla 
%_________________________________________________________________________
%%% CREA LA MATRIZ K DEL SISTEMA ( matriz de rigidez) Y EL VECTOR F DE
%%% CARGA
%_________________________________________________________________________
Krigidez=MatRigidez1D(X,T);
K=-Krigidez; % matriz del sistema
F=VectorCarga1D(X,T,'fuente');
%_________________________________________________________________________
%%% CREA LA MATRIZ G DEL SISTEMA DE CONDICIONES DE FRONTERA Ga=g;
%_________________________________________________________________________
% Matriz con los nodos en la frontera de Dirichlet y el valor prescrito
% Numero de condiciones de frontera
ncondfron=size(Front,1);
% numero de nodos de la malla
nnode=size(X,1);
% 
C=[1 0
   nnode 0];
% Numero de ecuaciones del sitema
neq=size(F,1);
% Matriz G del sistema Ga=g con las condiciones de frontera de Dirichlet
G=zeros(ncondfron,neq);
G(:,C(:,1))=eye(ncondfron);
%_________________________________________________________________________
%%% ENSAMBLE DE LAS CONDICIONES DE FRONTERA DICHLET EN LA MATRIZ K 
Ktot=[K,G';G zeros(ncondfron,ncondfron)]; % matriz total del sistema
%_________________________________________________________________________
%%% ENSAMBLE DE LAS CONDICIONES DE FRONTERA DICHLET EN LA MATRIZ F
%_________________________________________________________________________
b=C(:,2);% Matriz del termino independiente de las condiciones frontera.
Ftotal=[F;b]; 
%_________________________________________________________________________
%%% SOLUCIN DEL SISTEMA
Sol=Ktot\Ftotal;
Sol=Sol(1:neq);

%_________________________________________________________________________
%%% POSTPROCESO
%_________________________________________________________________________




 

 

