function [pospg,pespg]=Cuadratura (ngaus) 
% [pospg,pespg]=Cuadratura (ngaus) 
% pospg, pespg: posicin y pesos de los puntos de Gauss en el 
%               elemento de referencia 
% ngaus:        nmero de puntos de Gauss del elemento 
%%%%%%    Giovanni Caldern Materia: MEF  A-2007
  if (ngaus==4) 
    pos1 = 1/sqrt(3); 
    pospg=[-pos1 -pos1 
            pos1 -pos1 
            pos1  pos1 
           -pos1  pos1]; 
    pespg = [1 1 1 1]; 
  else 
    error('Cuadratura no contemplada') 
  end 
 
           
