function DibujaSol(X,T,Temp,n)
% DibujaSol(X,T,Temp) dibuja un campo escalar nodal
% X:    coordenadas de los nodos
% T:    conectividades (elementos)
% Temp: vector con los valores nodales
% n   : opcion para graficar o no la escala como un subplot
%%%%%%    Giovanni Caldern Materia: MEF  A-2007 

nelem = size(T,1);

clf
for i=1:nelem
  Te = T(i,:);
  x = X(Te,1);
  y = X(Te,2);
  s = Temp(Te);
  if nargin == 3 | n ~= 1,
      patch(x,y,s)
      else
      subplot(1,2,1),patch(x,y,s)
  end
end 
axis('equal');
axis('off');

