function escala(colores,nfig)
% Dibujo de la escala
%%%%%%    Giovanni Caldern Materia: MEF  A-2007 


cmin = colores(1);
cmax = colores(2);

nesc=8;
h=(cmax-cmin)/nesc;
color=cmin;
figure(nfig)
%clf
colormap(jet); 
caxis(colores)
hold on
for i=0:nesc-1
  subplot(1,2,2),patch([0 1/3 1/3 0],[i i (i+1) (i+1)],color+h*0.5)
  text(-1,i-h*0.5,num2str(color,2))
  color=color+h;
end
text(-1,nesc-h*0.5,num2str(color,2))
hold off
title('ESCALA')
axis equal
axis off
